BATTERY_PMU(4) | Device Drivers Manual | BATTERY_PMU(4)

# NAME

`battery_pmu` —
support for batteries and sensors in PCI-based Apple Powerbooks

# SYNOPSIS

`battery* at pmu?`

# DESCRIPTION

The `battery_pmu` driver provides support for batteries and hardware sensors found in first generation PCI-based PowerBooks (i.e. Apple Powerbook 2400, 3400 and 3500 (also known as Original PowerBook G3). Currently it only exports a few sensors via the envsys(4) interface, including battery charge, voltage, CPU and battery temperature and AC power availability.

# SEE ALSO

envsys(4), pmu(4), envstat(8)

# BUGS

There is no APM emulation right now and the battery current sensor may return misleading or wrong data. This driver is considered preliminary and may be replaced at some point.

May 18, 2009 | NetBSD 9.4